# Generated by Django 2.2.7 on 2020-01-23 11:59

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("missions", "0017_auto_20200123_1154"),
    ]

    operations = [
        migrations.AlterField(
            model_name="assignment",
            name="position",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="seawatch_registration.Position",
                verbose_name="Position",
            ),
        ),
        migrations.AlterField(
            model_name="assignment",
            name="user",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="assignments",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="defaultassignment",
            name="position",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="seawatch_registration.Position",
                verbose_name="Position",
            ),
        ),
    ]
